diff -u -r cvs/fstream.hpp jan/fstream.hpp
--- cvs/fstream.hpp	2006-03-08 20:02:51.203125000 +0100
+++ jan/fstream.hpp	2006-03-08 20:26:42.921875000 +0100
@@ -33,10 +33,11 @@
   {
     namespace detail
     {
-#   if defined(BOOST_WINDOWS_API) && !defined(BOOST_FILESYSTEM_NARROW_ONLY)
+#   if defined(BOOST_WINDOWS_API) && !defined(BOOST_FILESYSTEM_NARROW_ONLY) && _MSC_VER < 1400
       // The 8.3 hack:
       // C++98 does not supply a wchar_t open, so try to get an equivalent
       // narrow char name based on the short, so-called 8.3, name.
+	  // no conversion for VC8
       BOOST_FILESYSTEM_DECL bool create_file_api( const std::wstring & ph,
         std::ios_base::openmode mode ); // true if succeeds
       BOOST_FILESYSTEM_DECL std::string narrow_path_api(
@@ -70,6 +71,13 @@
         std::ios_base::openmode )
         { return file_ph; }
 
+#   if _MSC_VER >= 1400
+	  // no conversion for VC8
+      inline const std::wstring & narrow_path( const std::wstring & file_ph,
+        std::ios_base::openmode )
+        { return file_ph; }
+#   endif 
+
     } // namespace detail
 
     template < class charT, class traits = std::char_traits<charT> >
